set -U fish_greeting

alias exa="exa --group-directories-first"
alias newkey="gpg-connect-agent \"scd serialno\" \"learn --force\" /bye"
alias usepodman="set -x -g DOCKER_HOST unix://(podman info --format '{{.Host.RemoteSocket.Path}}')"
test "$TERM" = "xterm-kitty" && alias ssh="kitty +kitten ssh"
test "$TERM_PROGRAM" = "WezTerm" && alias ssh="wezterm ssh"
abbr vim nvim
abbr ls exa
abbr ll exa -lh
abbr la exa -lha
abbr gs git status
abbr gc git commit
abbr gap git add -p
abbr gps git push
abbr gpl git pull
test (command -v doas) && abbr sudo doas

# Environment variables
set -x -g RUSTUP_HOME $XDG_DATA_HOME/rustup
set -x -g CARGO_HOME $HOME/.cargo
set -x -g PATH $CARGO_HOME/bin $RUSTUP_HOME/bin $HOME/.local/bin $PATH

test (command -v fnm) && fnm env | source
test (command -v zoxide) && zoxide init fish | source
